curl --request GET \
--url https://api.smokeball.com/mattertypes \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/mattertypes"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/mattertypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "009f778f-83df-454a-b344-768a862a7e55",
"versionId": "832e778f-83df-454a-b344-768a862a7e67",
"name": "Federal Litigation",
"category": "Litigation",
"type": 0,
"representativeOptions": [
"Applicant",
"Respondent"
],
"location": "Litigation",
"isDeleted": true
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get matter types
Returns a paginated list of matter types based on search criteria. Deleted matter types are not included.
Note: If no Location is provided, all matter types from all locations will be returned.
Query Parameters
0 <= x <= 21474836471 <= x <= 500Searches for partial match on matter type name
Return matter types from a specific location. In the US API this is the ANSI 2 letter state code (e.g. IL, NY). In the AU API this is shorthand state code (e.g. NSW, ACT, etc)
Return matter types from a specific category.
Return matter types by category type (i.e. MatterType or LeadType).
Possible values: Matter Type = 0, Lead Type = 1. Name of the category type to which the matter type belongs (i.e. MatterType or LeadType).
Possible values: Matter Type = 0, Lead Type = 1.
0, 1 0
Response
When request is successful. Returns a paged collection of 'MatterTypeInfo' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes